# IEvent1
Date: 2011-05-10

## jrummikub.util
Interface IEvent1<T>

Type Parameters:
  `T` - type of the event parameter

All Known Implementing Classes:
  Event1

    public interface IEvent1<T>

Interface for classes that can generate events having a single parameter

Method Summary
`Connection` `add(IListener1<T> listener)` Start to publish all events to a given listener
`void` `remove(IListener1<T> listener)` Stop publishing events to a given listener

Method Detail

### add

    Connection add(IListener1<T> listener)

  Start to publish all events to a given listener

  Parameters:
    `listener` - target listener
  Returns:
    a connection to remove the listener

### remove

    void remove(IListener1<T> listener)

  Stop publishing events to a given listener

  Parameters:
    `listener` - target listener